Package: groovy.console.ui

## [Groovy] Class GroovyFileFilter

- groovy.console.ui.GroovyFileFilter

-     @CompileStatic
      class GroovyFileFilter
      extends FileFilter

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyFileFilter()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `accept(File f)`
    `` | `String` | `getDescription()`
    `` | `static String` | `getExtension(File f)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class FileFilter` | `accept, equals, getClass, getDescription, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyFileFilter()

  - ### Method Detail

    - #### boolean accept(File f)

    - #### String getDescription()

    - #### static String getExtension(File f)